Bug 1967132 - [4.7] ipBlock ignoring all other cidr's apart from the last one specified
Summary: [4.7] ipBlock ignoring all other cidr's apart from the last one specified
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.7.z
Assignee: Dan Winship
QA Contact: huirwang
URL:
Whiteboard:
Depends On: 1953680
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-02 13:21 UTC by Dan Winship
Modified: 2021-11-17 08:56 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: ovn-kubernetes handled some NetworkPolicies with multiple ipBlocks incorrectly Consequence: The ipBlocks after the first one would be ignored, resulting in pods not being able to reach all of the IPs they were supposed to be able to reach. Fix: Fixed the code for generating OVN ACLs from kubernetes NetworkPolicies Result: Policies with multiple ipBlocks work correctly
Clone Of: 1953680
Environment:
Last Closed: 2021-08-17 12:12:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 562 0 None open Bug 1967132: policy: handle NetworkPolicies single "from" multiple "ipBlock" 2021-06-02 13:22:35 UTC
Red Hat Product Errata RHBA-2021:3032 0 None None None 2021-08-17 12:12:50 UTC

Comment 5 errata-xmlrpc 2021-08-17 12:12:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.24 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3032


Note You need to log in before you can comment on or make changes to this bug.